|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QHelpEvent Class Reference
[QtGui module]

The QHelpEvent class provides an event that is used to request helpful information about a particular point in a widget. More...

     #include <QHelpEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QHelpEvent ( Type type, const QPoint & pos, const QPoint & globalPos )
- const QPoint & globalPos () const
- int globalX () const
- int globalY () const
- const QPoint & pos () const
- int x () const
- int y () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QHelpEvent class provides an event that is used to request helpful information about a particular point in a widget.

This event can be intercepted in applications to provide tooltips or "What's This?" help for custom widgets. The type() can be either QEvent::ToolTip or QEvent::WhatsThis.

See also QToolTip, QWhatsThis, QStatusTipEvent, and QWhatsThisClickedEvent.

## Member Function Documentation

### QHelpEvent::QHelpEvent ( Type type, const QPoint & pos, const QPoint & globalPos )

Constructs a help event with the given type corresponding to the widget-relative position specified by pos and the global position specified by globalPos.

type must be either QEvent::ToolTip or QEvent::WhatsThis.

See also pos() and globalPos().

### const QPoint & QHelpEvent::globalPos () const

Returns the mouse cursor position when the event was generated in global coordinates.

See also pos(), globalX(), and globalY().

### int QHelpEvent::globalX () const

Same as globalPos().x().

See also x(), globalY(), and globalPos().

### int QHelpEvent::globalY () const

Same as globalPos().y().

See also y(), globalX(), and globalPos().

### const QPoint & QHelpEvent::pos () const

Returns the mouse cursor position when the event was generated, relative to the widget to which the event is dispatched.

See also globalPos(), x(), and y().

### int QHelpEvent::x () const

Same as pos().x().

See also y(), pos(), and globalPos().

### int QHelpEvent::y () const

Same as pos().y().

See also x(), pos(), and globalPos().